Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Buckminster » Headless install issue - Cannot satisfy dependency
Headless install issue - Cannot satisfy dependency [message #554104] Fri, 20 August 2010 03:56 Go to next message
Geejay is currently offline Geejay
Messages: 160
Registered: February 2010
Senior Member
I tried to install the headless Buckminster 3.6 (automatically called from
the Hudson plugin) today, to test the changes made in this bug:
https://bugs.eclipse.org/bugs/show_bug.cgi?id=322959 (for groovy support).

I got the following error:

Cannot complete the install because one or more required items could not be
found.
Software being installed: Buckminster - Team Project Set (PSF) support
1.0.0.r11564 (org.eclipse.buckminster.psf.feature.feature.group
1.0.0.r11564)
Missing requirement: Edit Support for the PSF extension to the RMAP model
1.0.0.r11467 (org.eclipse.buckminster.rmap.psf.edit 1.0.0.r11467) requires
'bundle org.eclipse.buckminster.model.common [1.1.0,2.0.0)' but it could not
be found
Cannot satisfy dependency:
From: Buckminster - Team Project Set (PSF) support 1.0.0.r11564
(org.eclipse.buckminster.psf.feature.feature.group 1.0.0.r11564)
To: org.eclipse.buckminster.rmap.psf.edit [1.0.0.r11467]

Is this related to the bug fix above?
Re: Headless install issue - Cannot satisfy dependency [message #554118 is a reply to message #554104] Fri, 20 August 2010 04:36 Go to previous messageGo to next message
Geejay is currently offline Geejay
Messages: 160
Registered: February 2010
Senior Member
Actually, I think the Hudson plugin is installing the wrong features. I have
successfully installed using the standard -i
org.eclipse.buckminster.cmdline.product IU.

"geejay" <gjmcknight@schlagundrahm.ch> wrote in message
news:i4lcfg$cmu$1@build.eclipse.org...
> I tried to install the headless Buckminster 3.6 (automatically called from
> the Hudson plugin) today, to test the changes made in this bug:
> https://bugs.eclipse.org/bugs/show_bug.cgi?id=322959 (for groovy support).
>
> I got the following error:
>
> Cannot complete the install because one or more required items could not
> be found.
> Software being installed: Buckminster - Team Project Set (PSF) support
> 1.0.0.r11564 (org.eclipse.buckminster.psf.feature.feature.group
> 1.0.0.r11564)
> Missing requirement: Edit Support for the PSF extension to the RMAP model
> 1.0.0.r11467 (org.eclipse.buckminster.rmap.psf.edit 1.0.0.r11467) requires
> 'bundle org.eclipse.buckminster.model.common [1.1.0,2.0.0)' but it could
> not be found
> Cannot satisfy dependency:
> From: Buckminster - Team Project Set (PSF) support 1.0.0.r11564
> (org.eclipse.buckminster.psf.feature.feature.group 1.0.0.r11564)
> To: org.eclipse.buckminster.rmap.psf.edit [1.0.0.r11467]
>
> Is this related to the bug fix above?
Re: Headless install issue - Cannot satisfy dependency [message #554119 is a reply to message #554118] Fri, 20 August 2010 04:49 Go to previous messageGo to next message
Geejay is currently offline Geejay
Messages: 160
Registered: February 2010
Senior Member
I still cannot install due to the jdt dependencies.

Am I using the right update site? -
http://download.eclipse.org/tools/buckminster/headless-3.6

Or do I have to use a dev software site?

Thanks

Errors below:

Installing org.eclipse.buckminster.cmdline.product 1.2.1.r11564.
Operation completed in 53132 ms.
Installing org.codehaus.groovy 1.7.3.xx-20100811-1700-e36.
Installing org.eclipse.jdt.groovy.core 2.0.2.xx-20100811-1700-e36.
Installing org.codehaus.groovy.eclipse.codebrowsing
2.0.2.xx-20100811-1700-e36.
Installing org.eclipse.jdt.core 3.6.0.v_A58.
Installation failed.
Cannot complete the install because of a conflicting dependency.
Software being installed: Java Development Tools Core 3.6.0.v_A58
(org.eclipse.jdt.core 3.6.0.v_A58)
Software currently installed: Java Development Tools Core
3.6.0.xx-20100811-1700-e36 (org.eclipse.jdt.core 3.6.0.xx-20100811-1700-e36)
Only one of the following can be installed at once:
Java Development Tools Core 3.6.0.v_A58 (org.eclipse.jdt.core 3.6.0.v_A58)
Java Development Tools Core 3.6.0.xx-20100811-1700-e36
(org.eclipse.jdt.core 3.6.0.xx-20100811-1700-e36)
Application failed, log file location:
/usr/lib/hudson/home/tools/bucky36/director/configuration/12 82293542401.log
Re: Headless install issue - Cannot satisfy dependency [message #554297 is a reply to message #554119] Fri, 20 August 2010 21:16 Go to previous messageGo to next message
Thomas Hallgren is currently offline Thomas Hallgren
Messages: 3215
Registered: July 2009
Senior Member
I don't understand why the output says:

> Installing org.eclipse.jdt.core 3.6.0.v_A58.

Are you explicitly installing that bundle? If so, why?

- thomas


On 08/20/2010 10:49 AM, geejay wrote:
> I still cannot install due to the jdt dependencies.
>
> Am I using the right update site? -
> http://download.eclipse.org/tools/buckminster/headless-3.6
>
> Or do I have to use a dev software site?
>
> Thanks
>
> Errors below:
>
> Installing org.eclipse.buckminster.cmdline.product 1.2.1.r11564.
> Operation completed in 53132 ms.
> Installing org.codehaus.groovy 1.7.3.xx-20100811-1700-e36.
> Installing org.eclipse.jdt.groovy.core 2.0.2.xx-20100811-1700-e36.
> Installing org.codehaus.groovy.eclipse.codebrowsing
> 2.0.2.xx-20100811-1700-e36.
> Installing org.eclipse.jdt.core 3.6.0.v_A58.
> Installation failed.
> Cannot complete the install because of a conflicting dependency.
> Software being installed: Java Development Tools Core 3.6.0.v_A58
> (org.eclipse.jdt.core 3.6.0.v_A58)
> Software currently installed: Java Development Tools Core
> 3.6.0.xx-20100811-1700-e36 (org.eclipse.jdt.core
> 3.6.0.xx-20100811-1700-e36)
> Only one of the following can be installed at once:
> Java Development Tools Core 3.6.0.v_A58 (org.eclipse.jdt.core 3.6.0.v_A58)
> Java Development Tools Core 3.6.0.xx-20100811-1700-e36
> (org.eclipse.jdt.core 3.6.0.xx-20100811-1700-e36)
> Application failed, log file location:
> /usr/lib/hudson/home/tools/bucky36/director/configuration/12 82293542401.log
>
>
Re: Headless install issue - Cannot satisfy dependency [message #555238 is a reply to message #554297] Wed, 25 August 2010 23:32 Go to previous messageGo to next message
Miles Parker is currently offline Miles Parker
Messages: 1338
Registered: July 2009
Senior Member
I'm getting this issue too. Here it's the automated hudson install for 3.6, i.e. I'm not doing anything at all special..

Buckminster -r "http://download.eclipse.org/tools/buckminster/headless-3.6, http://download.eclipse.org/tools/buckminster/headless-3.6/, http://download.cloudsmith.com/buckminster/external-3.6" -installIU "org.eclipse.equinox.p2.director.feature.feature.group, org.eclipse.buckminster.psf.feature.feature.group, org.eclipse.buckminster.emma.headless.feature.feature.group, org.eclipse.buckminster.pde.headless.feature.feature.group, org.eclipse.buckminster.subclipse.headless.feature.feature.g roup, org.eclipse.buckminster.maven.headless.feature.feature.group , org.eclipse.buckminster.cmdline.product, org.eclipse.buckminster.core.headless.feature.feature.group, org.eclipse.buckminster.git.headless.feature.feature.group, org.eclipse.buckminster.cvs.headless.feature.feature.group"
Wed Aug 25 21:29:09 OSXServer-1.localdomain java[32294] <Error>: kCGErrorFailure: Set a breakpoint @ CGErrorBreakpoint() to catch errors as they are logged.
_RegisterApplication(), FAILED TO establish the default connection to the WindowServer, _CGSDefaultConnection() is NULL.
Installing org.eclipse.equinox.p2.director.feature.feature.group 1.2.1.v20100819-2107.
Installing org.eclipse.buckminster.psf.feature.feature.group 1.0.0.r11570.
Installing org.eclipse.buckminster.emma.headless.feature.feature.group 0.9.0.r11564.
Installing org.eclipse.buckminster.pde.headless.feature.feature.group 1.2.1.r11567.
Installing org.eclipse.buckminster.subclipse.headless.feature.feature.g roup 1.1.0.r11440.
Installing org.eclipse.buckminster.maven.headless.feature.feature.group 1.2.0.r11564.
Installing org.eclipse.buckminster.cmdline.product 1.2.1.r11564.
Installing org.eclipse.buckminster.core.headless.feature.feature.group 1.3.1.r11570.
Installing org.eclipse.buckminster.git.headless.feature.feature.group 1.0.360.r11573.
Installing org.eclipse.buckminster.cvs.headless.feature.feature.group 1.1.0.r11564.
Installation failed.
Cannot complete the install because one or more required items could not be found.
Software being installed: Buckminster - Team Project Set (PSF) support 1.0.0.r11570 (org.eclipse.buckminster.psf.feature.feature.group 1.0.0.r11570)
Missing requirement: Edit Support for the PSF extension to the RMAP model 1.0.0.r11467 (org.eclipse.buckminster.rmap.psf.edit 1.0.0.r11467) requires 'bundle org.eclipse.buckminster.model.common [1.1.0,2.0.0)' but it could not be found
Cannot satisfy dependency:
From: Buckminster - Team Project Set (PSF) support 1.0.0.r11570 (org.eclipse.buckminster.psf.feature.feature.group 1.0.0.r11570)
To: org.eclipse.buckminster.rmap.psf.edit [1.0.0.r11467]
Application failed, log file location: /Library/Hudson/tools/buckminster/director/configuration/128 2793349550.log
ERROR: Command returned status 13
Archiving artifacts
Finished: FAILURE
Re: Headless install issue - Cannot satisfy dependency [message #555249 is a reply to message #555238] Thu, 26 August 2010 01:00 Go to previous messageGo to next message
Alex Kravets is currently offline Alex Kravets
Messages: 374
Registered: November 2009
Senior Member
PSF has been removed for now according to this http://www.eclipse.org/forums/index.php?t=msg&th=174151& amp;start=0&S=6490c7ea3ca6ed18ac99079fb52fef38
Re: Headless install issue - Cannot satisfy dependency [message #555250 is a reply to message #555249] Thu, 26 August 2010 01:04 Go to previous messageGo to next message
Miles Parker is currently offline Miles Parker
Messages: 1338
Registered: July 2009
Senior Member

Thanks for the redirect Alex!

Alex wrote on Thu, 26 August 2010 01:00
PSF has been removed for now according to this http://www.eclipse.org/forums/index.php?t=msg&th=174151& amp; amp;start=0&S=6490c7ea3ca6ed18ac99079fb52fef38
Re: Headless install issue - Cannot satisfy dependency [message #555254 is a reply to message #555250] Thu, 26 August 2010 01:44 Go to previous messageGo to next message
Thomas Hallgren is currently offline Thomas Hallgren
Messages: 3215
Registered: July 2009
Senior Member
Also, the real problem (a bogus dependency in the feature) has been
fixed and was published to our update sites yesterday so this should no
longer happen even if the PSF feature is included.

Regards,
Thomas Hallgren

On 08/26/2010 07:04 AM, Miles Parker wrote:
>
> Thanks for the redirect Alex!
>
> Alex wrote on Thu, 26 August 2010 01:00
>> PSF has been removed for now according to this
>> http://www.eclipse.org/forums/index.php?t=msg&th=174151& amp; amp;
>> amp;start=0&S=6490c7ea3ca6ed18ac99079fb52fef38
>
Re: Headless install issue - Cannot satisfy dependency [message #555267 is a reply to message #555254] Thu, 26 August 2010 03:21 Go to previous messageGo to next message
Miles Parker is currently offline Miles Parker
Messages: 1338
Registered: July 2009
Senior Member
This is weird then because I'm still getting the same error..

/Library/Hudson/tools/Buckminster_3.6/buckminster -p Buckminster -r "http://download.eclipse.org/tools/buckminster/headless-3.6, http://download.eclipse.org/tools/buckminster/headless-3.6/, http://download.cloudsmith.com/buckminster/external-3.6" -installIU "org.eclipse.equinox.p2.director.feature.feature.group, org.eclipse.buckminster.psf.feature.feature.group, org.eclipse.buckminster.emma.headless.feature.feature.group, org.eclipse.buckminster.pde.headless.feature.feature.group, org.eclipse.buckminster.subclipse.headless.feature.feature.g roup, org.eclipse.buckminster.maven.headless.feature.feature.group , org.eclipse.buckminster.cmdline.product, org.eclipse.buckminster.core.headless.feature.feature.group, org.eclipse.buckminster.git.headless.feature.feature.group, org.eclipse.buckminster.cvs.headless.feature.feature.group"
Thu Aug 26 01:18:50 OSXServer-1.localdomain java[9153] <Error>: kCGErrorFailure: Set a breakpoint @ CGErrorBreakpoint() to catch errors as they are logged.
_RegisterApplication(), FAILED TO establish the default connection to the WindowServer, _CGSDefaultConnection() is NULL.
Installing org.eclipse.equinox.p2.director.feature.feature.group 1.2.1.v20100819-2107.
Installing org.eclipse.buckminster.psf.feature.feature.group 1.0.0.r11570.
Installing org.eclipse.buckminster.emma.headless.feature.feature.group 0.9.0.r11564.
Installing org.eclipse.buckminster.pde.headless.feature.feature.group 1.2.1.r11567.
Installing org.eclipse.buckminster.subclipse.headless.feature.feature.g roup 1.1.0.r11440.
Installing org.eclipse.buckminster.maven.headless.feature.feature.group 1.2.0.r11564.
Installing org.eclipse.buckminster.cmdline.product 1.2.1.r11564.
Installing org.eclipse.buckminster.core.headless.feature.feature.group 1.3.1.r11570.
Installing org.eclipse.buckminster.git.headless.feature.feature.group 1.0.360.r11573.
Installing org.eclipse.buckminster.cvs.headless.feature.feature.group 1.1.0.r11564.
Installation failed.
Cannot complete the install because one or more required items could not be found.
Software being installed: Buckminster - Team Project Set (PSF) support 1.0.0.r11570 (org.eclipse.buckminster.psf.feature.feature.group 1.0.0.r11570)
Missing requirement: Edit Support for the PSF extension to the RMAP model 1.0.0.r11467 (org.eclipse.buckminster.rmap.psf.edit 1.0.0.r11467) requires 'bundle org.eclipse.buckminster.model.common [1.1.0,2.0.0)' but it could not be found
Cannot satisfy dependency:
From: Buckminster - Team Project Set (PSF) support 1.0.0.r11570 (org.eclipse.buckminster.psf.feature.feature.group 1.0.0.r11570)
To: org.eclipse.buckminster.rmap.psf.edit [1.0.0.r11467]
Application failed, log file location: /Library/Hudson/tools/Buckminster_3.6/director/configuration /1282807129844.log

ERROR: Command returned status 13
Archiving artifacts
Finished: FAILURE

Maybe I"m stuck in the internet way back machine.

Thomas Hallgren wrote on Thu, 26 August 2010 01:44
Also, the real problem (a bogus dependency in the feature) has been
fixed and was published to our update sites yesterday so this should no
longer happen even if the PSF feature is included.

Regards,
Thomas Hallgren

On 08/26/2010 07:04 AM, Miles Parker wrote:
>
> Thanks for the redirect Alex!
>
> Alex wrote on Thu, 26 August 2010 01:00
>> PSF has been removed for now according to this
>> http://www.eclipse.org/forums/index.php?t=msg&th=174151& amp; amp; amp;
>> amp;start=0&S=6490c7ea3ca6ed18ac99079fb52fef38
>

Re: Headless install issue - Cannot satisfy dependency [message #555282 is a reply to message #555267] Thu, 26 August 2010 03:51 Go to previous messageGo to next message
Johannes Utzig is currently offline Johannes Utzig
Messages: 329
Registered: July 2009
Senior Member
Hi Miles,

Am 26.08.2010 09:21, schrieb Miles Parker:
>
> Maybe I"m stuck in the internet way back machine.

Please try the following:
delete
$HUDSON_HOME/updates/hudson.plugins.buckminster.BuckminsterI nstallation.BuckminsterInstaller
and restart Hudson after that.
Once the file is gone, Hudson should download it again on the next
startup and then you should have the version without PSF.

Best regards,
Johannes
Re: Headless install issue - Cannot satisfy dependency [message #555291 is a reply to message #555267] Thu, 26 August 2010 04:55 Go to previous messageGo to next message
Thomas Hallgren is currently offline Thomas Hallgren
Messages: 3215
Registered: July 2009
Senior Member
On 08/26/2010 09:21 AM, Miles Parker wrote:
> This is weird then because I'm still getting the same error..
>
I get correct content through ssh but incorrect content through http
from download.eclipse.org. I guess you'll just have to wait a few hours
more.

- thomas
Re: Headless install issue - Cannot satisfy dependency [message #555464 is a reply to message #555291] Thu, 26 August 2010 12:52 Go to previous message
Miles Parker is currently offline Miles Parker
Messages: 1338
Registered: July 2009
Senior Member
Thomas Hallgren wrote on Thu, 26 August 2010 04:55
On 08/26/2010 09:21 AM, Miles Parker wrote:
> This is weird then because I'm still getting the same error..
>
I get correct content through ssh but incorrect content through http
from download.eclipse.org. I guess you'll just have to wait a few hours
more.



Yep, it is working this morning -- thanks.
Previous Topic:"A selected specification is unresolved"
Next Topic:Materialzing target platform with sources
Goto Forum:
  


Current Time: Fri Aug 01 18:40:04 EDT 2014

Powered by FUDForum. Page generated in 0.01858 seconds